## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToHtmlTableCellHandler

### Document::ezcDocumentDocbookToHtmlTableCellHandler

### Class ezcDocumentDocbookToHtmlTableCellHandler

Visit table cells

Table cells are quite trivial to transform, but some attributes need to be converted, like rowspan.

Source for this file: /Document/src/converters/element_visitor/docbook/xhtml/table_cell.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToHtmlBaseHandler
          |
          --ezcDocumentDocbookToHtmlTableCellHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToHtmlBaseHandler
protected DOMElement | `ezcDocumentDocbookToHtmlBaseHandler::getHead()` Get head of HTML document
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3